export interface InjectableRegion {
    readonly args: any[];
    readonly data: {};
    readonly padding: string;
    readonly start: number;
    readonly end: number;
}
export interface SourcePosition {
    line: number;
    col: number;
}
export declare abstract class InvalidSourceError extends Error {
    position: SourcePosition | null;
    constructor(message: string, position?: SourcePosition | null);
    setPosition(position: SourcePosition): void;
}
export declare class InvalidDirectiveError extends InvalidSourceError {
}
export declare class InvalidRegionError extends InvalidSourceError {
}
export declare function createDirectiveMatcher(prefix: string): RegExp;
export declare function extractRegions(text: string, directiveMatcher: RegExp, data?: {}): InjectableRegion[];
export declare function inject(text: string, directiveMatcher: RegExp, cb: (region: InjectableRegion) => string, data?: {}): string;
